#!/usr/bin/env python
import os
import h5py
import numpy as np

def get_knk(fh5, nequil):
  fp = h5py.File(fh5, 'r')
  kvecs = fp['nofk/kpoints'][()]
  nkarr = fp['nofk/value'][()]
  fp.close()
  nkm = nkarr[nequil:].mean(axis=0)
  return kvecs, nkm

if __name__ == '__main__':
  fh5 = 'vmc.s000.stat.h5'
  nequil = 2
  # get n(k) mean
  kvecs, nkm = get_knk(fh5, nequil)
  # find smallest kmagnitude
  kmags = np.linalg.norm(kvecs, axis=-1)
  idx = np.argmin(kmags)
  # n(ksmall) should be around 2.0
  tol = 1e-2
  success = abs(nkm[idx]-2) < tol
  print('PASS' if success else 'FAIL')
# end __main__
